# $Revision: 1.46 $, $Date: 2004/12/21 11:24:56 $
Summary:	Program to make and update /dev entries
Summary(de):	Script zum Erstellen und Aktualisieren von /dev-Eintrgen
Summary(es):	Script para hacer y actualizar entradas referentes a dispositivos en /dev
Summary(fr):	Script pour crer et mettre  jour les entres /dev
Summary(pl):	Program do tworzenia i poprawiania urzdze z /dev
Summary(pt_BR):	Script para fazer e atualizar entradas referentes a dispositivos em /dev
Summary(tr):	Aygt tanm yapmak ve deitirmek iin bir ara
Name:		MAKEDEV
Version:	3.13
Release:	2
License:	GPL v2+
Group:		Applications/System
Source0:	%{name}-%{version}-1.tar.gz
# Source0-md5:	f8befaebd0813c6fa59c07ef3875f232
Patch0:		%{name}-ub.patch
BuildRequires:	libselinux-devel >= 0:1.8
Requires:	libselinux >= 0:1.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_bindir		/sbin

%description
The /dev tree holds special files, each of which corresponds to a type
of hardware device that Linux supports. This package contains a
program which makes it easier to create and maintain the files which
fill the /dev tree.

%description -l de
Die /dev-Hierarchie enthlt spezielle Dateien, von denen jede einem
Hardwaregerttyp entspricht, der von Linux untersttzt wird. Dieses
Paket enthlt ein Skript, das die Erstellung und die Pflege der
Dateien innerhalb dieser Hierarchie vereinfacht.

%description -l es
El directorio /dev posee archivos especiales, cada uno de ellos
correspondiendo a un tipo de dispositivo de hardware que Linux
soporta. Este paquete contiene un script que hace ms fcil la
creacin y manutencin de los archivos en el directorio /dev.

%description -l fr
L'arborescence /dev contient des fichiers spciaux. Chacun d'eux
correspond  un priphrique matriel grable par Linux. Ce paquetage
contient un script facilitant la cration et la maintenance des
fichiers qui remplissent l'arborescence /dev.

%description -l pl
Pliki specjalne znajdujce si w katalogu /dev odpowiadaj
urzdzeniom, ktre s obsugiwane przez Linuksa. Pakiet ten zawiera
program, ktry uczyni tworzenie i operowanie tymi plikami atwiejszym.

%description -l pt_BR
O diretrio /dev possui arquivos especiais, cada um deles
correspondendo a um tipo de dispositivo de hardware que o Linux
suporta. Este pacote contm um script que torna mais fcil a criao
e manuteno dos arquivos no diretrio /dev.

%description -l tr
Unix ve Unix benzeri sistemler (Linux da dahil olmak zere), makinaya
bal aygtlar gstermek iin zel dosyalar kullanrlar. Bu zel
dosyalarn tm /dev dizin yaps altndadr. Bu paket en ok
kullanlan /dev dosyalarn ierir. Bu dosyalar, bir sistemin dzgn
olarak ileyebilmesi iin temel gereksinimlerdendir.

%prep
%setup -q
%patch0 -p1

%build
%{__make} \
	CC="%{__cc}" \
	OPTFLAGS="%{rpmcflags}" \
	SELINUX=1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man8}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	devdir=/dev \
	makedevdir=/sbin

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/MAKEDEV
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man8/*
%config %{_sysconfdir}/makedev.d

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: MAKEDEV.spec,v $
Revision 1.46  2004/12/21 11:24:56  ankry
- added ub patch, rel. 2

Revision 1.45  2004/11/05 15:58:41  qboosh
- BR+R libselinux 1.8 (matchpathcon() function)

Revision 1.44  2004/11/02 20:09:49  qboosh
- it's GPL now

Revision 1.43  2004/11/01 23:44:46  qboosh
- our optflags

Revision 1.42  2004/11/01 22:27:12  arekm
- md5

Revision 1.41  2004/11/01 22:21:44  arekm
- updated to 3.13

Revision 1.40  2004/09/25 17:11:22  havner
- rel 7

Revision 1.39  2004/09/25 13:55:30  arekm
- /sbin not {_sbindir}

Revision 1.38  2004/09/25 13:54:35  arekm
- Move MAKEDEV into /sbin.

Revision 1.37  2004/09/25 11:20:50  radek
- cosmetics (spaces -> tabs)

Revision 1.36  2004/08/10 16:18:54  averne
- rel 6 for rebuild

Revision 1.35  2003/12/11 20:46:48  undefine
- release 5 to rebuild with ac

Revision 1.34  2003/07/22 15:40:39  undefine
- pt_BR/es translations

Revision 1.33  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.32  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.31  2002/12/03 21:33:53  ankry
- cleaning

Revision 1.30  2002/02/26 13:31:06  blues
- removed Conflicts devfs

Revision 1.29  2002/02/25 02:22:59  kloczek
- release 3.

Revision 1.28  2002/02/25 01:11:25  undefine
- MAKEDEV can't be installed on devfs systems

Revision 1.27  2002/02/22 23:28:37  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.26  2002/02/17 20:23:23  marcus
- adapterized
- rel.2.

Revision 1.25  2002/01/18 02:12:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.24  2001/10/08 12:24:12  qboosh
- don't gzip man pages in spec - rpm does

Revision 1.23  2001/09/23 13:08:45  orzech
- group{pl,de} in logwatch.spec
- s/Copyright/License/ - both

Revision 1.22  2001/07/18 03:20:03  kloczek
- spec adapterized.

Revision 1.21  2001/05/10 09:21:59  mguevara
- changed licensing from none to FRS (Freely Redistributable Software)
  as stated in lsm file

Revision 1.20  2000/06/09 07:22:45  kloczek
- added using %%{__make} macro.

Revision 1.19  2000/05/17 00:36:12  kloczek
- spec adapterized.

Revision 1.18  2000/04/01 11:14:21  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.17  2000/03/28 16:54:13  baggins
- translated kloczkish into english

Revision 1.16  1999/07/12 23:06:07  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu Jun 10 1999 Wojtek lusarczyk <wojtek@shadow.eu.org>
- prepared v. 2.6 for PLD Linux
  (based most on debian MAKEDEV)
- perm of /dev/MAKEDEV changed to standard 644 root.root

* Sun May  9 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [2.5-2]
- now package is FHS 2.0 compliant.

* Tue Feb  9 1999 Micha Kuratczyk <kurkens@polbox.com>
  [2.3.1-9]
- added gzipping man page
- added Group(pl)
- cosmetic changes

* Mon Sep  7 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [2.3.1-8]
- removed %post wit adding floppy grouup (it is by default in setup),
- changed permission to 744 on /dev/MAKEDEV,
- added using %%{name} and %%{version} macros in Buildroot and Source.
